# Uses of Class
org.a11y.brlapi.ConnectionBase

Packages that use ConnectionBase
Package
Description
org.a11y.brlapi
org.a11y.brlapi.parameters

## Uses of ConnectionBase in org.a11y.brlapi

Subclasses of ConnectionBase in org.a11y.brlapi
Modifier and Type
Class
Description
`class`
`Connection`
Methods in org.a11y.brlapi that return ConnectionBase
Modifier and Type
Method
Description
`static ConnectionBase`
ConnectionBase.`getConnection(long handle)`
Constructors in org.a11y.brlapi with parameters of type ConnectionBase
Modifier
Constructor
Description
`protected`
`GlobalParameter(ConnectionBase connection)`
`protected`
`LocalParameter(ConnectionBase connection)`
`protected`
`Parameter(ConnectionBase connection)`
``
`Parameters(ConnectionBase connection)`

## Uses of ConnectionBase in org.a11y.brlapi.parameters

Constructors in org.a11y.brlapi.parameters with parameters of type ConnectionBase
Modifier
Constructor
Description
``
`AudibleAlertsParameter(ConnectionBase connection)`
``
`BoundCommandKeycodesParameter(ConnectionBase connection)`
``
`ClientPriorityParameter(ConnectionBase connection)`
``
`ClipboardContentParameter(ConnectionBase connection)`
``
`CommandKeycodeNameParameter(ConnectionBase connection)`
``
`CommandKeycodeSummaryParameter(ConnectionBase connection)`
``
`ComputerBrailleCellSizeParameter(ConnectionBase connection)`
``
`ComputerBrailleRowCellsParameter(ConnectionBase connection)`
``
`ComputerBrailleRowsMaskParameter(ConnectionBase connection)`
``
`ComputerBrailleTableParameter(ConnectionBase connection)`
``
`CursorBlinkPercentageParameter(ConnectionBase connection)`
``
`CursorBlinkPeriodParameter(ConnectionBase connection)`
``
`CursorDotsParameter(ConnectionBase connection)`
``
`DefinedDriverKeycodesParameter(ConnectionBase connection)`
``
`DeviceCellSizeParameter(ConnectionBase connection)`
``
`DeviceIdentifierParameter(ConnectionBase connection)`
``
`DeviceModelParameter(ConnectionBase connection)`
``
`DeviceOnlineParameter(ConnectionBase connection)`
``
`DeviceSpeedParameter(ConnectionBase connection)`
``
`DisplaySizeParameter(ConnectionBase connection)`
``
`DriverCodeParameter(ConnectionBase connection)`
``
`DriverKeycodeNameParameter(ConnectionBase connection)`
``
`DriverKeycodeSummaryParameter(ConnectionBase connection)`
``
`DriverNameParameter(ConnectionBase connection)`
``
`DriverPropertyValueParameter(ConnectionBase connection)`
``
`DriverVersionParameter(ConnectionBase connection)`
``
`LiteraryBrailleParameter(ConnectionBase connection)`
``
`LiteraryBrailleTableParameter(ConnectionBase connection)`
``
`MessageLocaleParameter(ConnectionBase connection)`
``
`RenderedCellsParameter(ConnectionBase connection)`
``
`RetainDotsParameter(ConnectionBase connection)`
``
`ServerVersionParameter(ConnectionBase connection)`
``
`SkipIdenticalLinesParameter(ConnectionBase connection)`